﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Menus;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamContextMenuItemVisibilityCase
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamContextMenu_Opened(object sender, Infragistics.Controls.Menus.OpenedEventArgs e)
        {
            XamContextMenu menu = sender as XamContextMenu;

            if (menu != null)
            {
                CellControl cc = menu.PlacementTargetResolved as CellControl;

                if (cc != null)
                {
                    if (cc.Column != null && cc.Column.Key != null)
                    {                        
                        if (cc.Column.Key.Contains("ID"))
                        {
                            ((XamMenuItem)menu.Items.Where(c => ((XamMenuItem)c).Header.ToString().Contains("Number")).FirstOrDefault()).Visibility = Visibility.Collapsed;
                            ((XamMenuItem)menu.Items.Where(c => ((XamMenuItem)c).Header.ToString().Contains("ID")).FirstOrDefault()).Visibility = Visibility.Visible;
                        }
                        else if (cc.Column.Key.Contains("Number"))
                        {
                            ((XamMenuItem)menu.Items.Where(c => ((XamMenuItem)c).Header.ToString().Contains("ID")).FirstOrDefault()).Visibility = Visibility.Collapsed;
                            ((XamMenuItem)menu.Items.Where(c => ((XamMenuItem)c).Header.ToString().Contains("Number")).FirstOrDefault()).Visibility = Visibility.Visible;

                        }
                        else
                        {
                            return;
                        }
                    }
                }
            }            
        }
    }
}
